Retail Express API 2.1

Searches Product Barcodes by Product id and other parameters

Searches Product Barcodes by Product id and other parameters

get
https://api.retailexpress.com.au/v2.1/products/{id}/barcodes

Query Parameters

barcodestring | null

Product barcode name

enabledboolean | null

Product barcode enabled

created_sincestring | null(date-time)

Created since

modified_sincestring | null(date-time)

Modified since

page_numberinteger(int32)

>= 1<= 100000

page_sizeinteger(int32)

>= 1<= 2147483647

Path Parameters

idinteger(int32)required

Product id

Headers

x-api-keystringrequired

Api subscription key

Cache-Controlstring

Default:no-cache

Authorizationstringrequired

Bearer token for authorization (e.g., Bearer )

Response

application/json

Paging Response with Barcodes data

ProductBarcode.PagingResponse

* Additional properties are NOT allowed.
dataarray | null[object]

Product Barcode model

* Additional properties are NOT allowed.
Show Child Parameters
page_numberinteger(int32)
page_sizeinteger(int32)
total_recordsinteger(int32)
get/products/{id}/barcodes
 
application/json

Creates Product Barcode

Sample request:

 POST /products/2/barcodes
  {
     "barcode": "BARCODENAME", 
     "enabled": true
  }
post
https://api.retailexpress.com.au/v2.1/products/{id}/barcodes

Path Parameters

idinteger(int32)required

Product id

Headers

x-api-keystringrequired

Api subscription key

Cache-Controlstring

Default:no-cache

Authorizationstringrequired

Bearer token for authorization (e.g., Bearer )

Body

application/json

Product Barcode to be created

EmptyExample

EmptyExampleobject
* Additional properties are NOT allowed.

Response

application/json

Product Barcode was created

ProductBarcode

Product Barcode model

* Additional properties are NOT allowed.
idinteger | null(int32)

Product Barcode id.

barcodestringrequired

Product Barcode name.

Match pattern:^[A-Za-z\d/-]*$

>= 0 characters<= 50 characters

enabledboolean

Product Barcode enabled.

product_idinteger(int32)

Product id

created_onstring(date-time)

Date of creation of Product Barcode

modified_onstring(date-time)

Date of last modification of Product Barcode

post/products/{id}/barcodes

Body

{}
 
application/json

Gets specific Product Barcode by unique Product Barcode id and Product id

Gets specific Product Barcode by unique Product Barcode id and Product id

get
https://api.retailexpress.com.au/v2.1/products/{id}/barcodes/{barcode_id}

Path Parameters

idinteger(int32)required

Product id

barcode_idinteger(int32)required

Product Barcode id

Headers

x-api-keystringrequired

Api subscription key

Cache-Controlstring

Default:no-cache

Authorizationstringrequired

Bearer token for authorization (e.g., Bearer )

Response

application/json

Returns found Product Barcode

ProductBarcode

Product Barcode model

* Additional properties are NOT allowed.
idinteger | null(int32)

Product Barcode id.

barcodestringrequired

Product Barcode name.

Match pattern:^[A-Za-z\d/-]*$

>= 0 characters<= 50 characters

enabledboolean

Product Barcode enabled.

product_idinteger(int32)

Product id

created_onstring(date-time)

Date of creation of Product Barcode

modified_onstring(date-time)

Date of last modification of Product Barcode

get/products/{id}/barcodes/{barcode_id}
 
application/json

Updates Product Barcode by Product id and Product Barcode id.

Sample request:

PUT /products/2/barcodes/1
 {
    "barcode": "BARCODENAME1", 
    "enabled": true
 }
put
https://api.retailexpress.com.au/v2.1/products/{id}/barcodes/{barcode_id}

Path Parameters

idinteger(int32)required

Product id

barcode_idinteger(int32)required

Product Barcode id

Headers

x-api-keystringrequired

Api subscription key

Cache-Controlstring

Default:no-cache

Authorizationstringrequired

Bearer token for authorization (e.g., Bearer )

Body

application/json

Product Barcode model

EmptyExample

EmptyExampleobject
* Additional properties are NOT allowed.

Response

application/json

Product Barcode was updated

ProductBarcode

Product Barcode model

* Additional properties are NOT allowed.
idinteger | null(int32)

Product Barcode id.

barcodestringrequired

Product Barcode name.

Match pattern:^[A-Za-z\d/-]*$

>= 0 characters<= 50 characters

enabledboolean

Product Barcode enabled.

product_idinteger(int32)

Product id

created_onstring(date-time)

Date of creation of Product Barcode

modified_onstring(date-time)

Date of last modification of Product Barcode

put/products/{id}/barcodes/{barcode_id}

Body

{}
 
application/json

Deletes specific Product Barcode by id

Deletes specific Product Barcode by id

delete
https://api.retailexpress.com.au/v2.1/products/{id}/barcodes/{barcode_id}

Path Parameters

idinteger(int32)required

Product id

barcode_idinteger(int32)required

Product Barcode id

Headers

x-api-keystringrequired

Api subscription key

Cache-Controlstring

Default:no-cache

Authorizationstringrequired

Bearer token for authorization (e.g., Bearer )

Response

Product Barcode was deleted

delete/products/{id}/barcodes/{barcode_id}